Announcement

Collapse
No announcement yet.

Upgrading problem

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts
    sean1
    New Member

  • sean1
    replied
    Thanks to support and alls comments I have it sorted now I think.

    Cheers

    Sean

    Leave a comment:

  • Neocorteqz
    Senior Member

  • Neocorteqz
    replied
    Originally posted by sean1
    I have tried to revert back to what was by using my backed up version of the board just prior to commencing the upgrades. This has disintegrated and is showing as 0 bytes.

    This is the state of play I have my current database which will not work currently although is still populated with a lot of information.

    I need to either upgrade somehow which is not working at present, or use that datbase for a fresh install of version 2.2.5 which i had before.

    I am prepared to pay for this to be rectified, can you hel.

    Cheers

    Sean
    Although I don't know if this is what you want to know. Make a current back up of the Database using the Mysqldump command(mysqldump --opt -u username -p password DATABASE > filename)

    then drop all the tables and start over. I'm guessing the error you're getting that the table already exist. only a guess, providing there is not enough information given.

    http://www.vbulletin.org/forum/showt...light=Tutorial
    there is a good source for DB backup and restore procedures.

    Leave a comment:

  • Steve Machol
    Former Customer Support Manager

  • Steve Machol
    replied
    I can't tell what is happening from your last two messages. My suggestion is to start all over again if you can. To do this you will need to restore the backup of your database prior to the poijt at which you tried to upgrade.

    Leave a comment:

  • sean1
    New Member

  • sean1
    replied
    Becomming a night mare

    I have tried to revert back to what was by using my backed up version of the board just prior to commencing the upgrades. This has disintegrated and is showing as 0 bytes.

    This is the state of play I have my current database which will not work currently although is still populated with a lot of information.

    I need to either upgrade somehow which is not working at present, or use that datbase for a fresh install of version 2.2.5 which i had before.

    I am prepared to pay for this to be rectified, can you hel.

    Cheers

    Sean

    Leave a comment:

  • sean1
    New Member

  • sean1
    replied
    Still have error

    Still get error regardingproblem with datatbase

    Any other ideas.

    Cheers

    Sean

    Leave a comment:

  • Steve Machol
    Former Customer Support Manager

  • Steve Machol
    replied
    You need to continue the upgrade process from the step in which you got the 'alter' error.

    Leave a comment:

  • sean1
    New Member

  • sean1
    replied
    Sorry Steve not too sure whether I understand.

    I got the error whilst trying to upgrade, upon your advice i have gone to the host who has issued me with alter rights. This does not help as I still do not see the board or the admin pag and get an error about the database which is different to that earlier.

    Are you saying that I still do not have alter rights which is why my board or the control panel can not be see and will not show.

    As would be the case the host withot commiting themselves on the phone said appeared to be a sofware issue as he changed my access rights whilst I was on the telephone to them.

    The error on the page for the control pannel etc makes mention of a problem with a column, similar to what was trying to be inserted when I originally got the error.

    Database error in vBulletin 2.2.6:
    Invalid SQL: SELECT sessionhash,userid,host,useragent,styleid FROM session WHERE lastactivity>1059964875 AND
    sessionhash='1e1ce5ac7c976a1359f94f9f73467201' AND (host='217.42.105.150' OR (althash='' AND althash<>'')) AND
    useragent='Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0;'
    mysql error: Unknown column 'althash' in 'where clause'
    mysql error number: 1054
    Date: Monday 04th of August 2003 03:56:15 AM
    Script: http://mickhart.com/members/forum/m...rum/index.php?s=
    Referer:

    What is the easiest way to revert to what i had.

    Reinstall from scratch the original board and then link it to the current database. Any ideas would be appreciated.

    Thanks

    Sean

    Leave a comment:

  • Steve Machol
    Former Customer Support Manager

  • Steve Machol
    replied
    If you had ALTER permissions you would not be getting that error. No matter what you want to do you'll need to get your host to give you those permissions.

    Leave a comment:

  • sean1
    New Member

  • sean1
    replied
    Thanks Steve,

    I have the necessary access but I am left with no access as such as I can not view my control panel or the board as I keep getting a similar error.

    Does this mean reinstalling the board and then restoring the board from a back up.

    This is the error I get whenever i try to go to the index page or the control panel.

    Database error in vBulletin 2.2.6:
    Invalid SQL: SELECT sessionhash,userid,host,useragent,styleid FROM session WHERE lastactivity>1059964875 AND
    sessionhash='1e1ce5ac7c976a1359f94f9f73467201' AND (host='217.42.105.150' OR (althash='' AND althash<>'')) AND
    useragent='Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0;'
    mysql error: Unknown column 'althash' in 'where clause'
    mysql error number: 1054
    Date: Monday 04th of August 2003 03:56:15 AM
    Script: http://mickhart.com/members/forum/me...um/index.php?s=
    Referer:
    sean1
    New Member
    Last edited by sean1; Sun 3 Aug '03, 7:56pm.

    Leave a comment:

  • Steve Machol
    Former Customer Support Manager

  • Steve Machol
    replied
    Your database user does not have ALTER permissions in MySQL. You'll need to ask your host to grant you that permission.

    Leave a comment:

  • sean1
    New Member

  • sean1
    started a topic Upgrading problem

    Upgrading problem

    I am upgrading from 2.2.5 to 2.3.0

    2.2.6 was okay, when i try to go to 2.2.7 I get an error

    Adding new column to session table ...

    There seems to have been a slight problem with the database.
    Please try again by pressing the refresh button in your browser.

    Refresh does nothing.

    <!-- Database error in vBulletin :
    Invalid SQL: ALTER TABLE session ADD althash CHAR(32) NOT NULL DEFAULT ''
    mysql error: alter command denied to user: '[email protected]' for table 'session'
    mysql error number: 1142
    Date: Monday 04th of August 2003 02:47:03 AM
    Script: /members/board/admin/upgrade20.php?step=2
    Referer: http://www.mickhart.com/members/boar.../upgrade20.php

    I found a similar post but with slightly different source code details, the advice was carry on, is this the same for me or do I need to do something else.

    Cheers

    Sean

    NOte Its worse than that, i can not get into control panel or the board, keep getting a message about there being a prblem with the database.
    http://mickhart.com/members/forum/index.php?s=

    Any help urgently would be appreciated
    sean1
    New Member
    Last edited by sean1; Sun 3 Aug '03, 7:17pm.
Loading...
Working...
X